package ir.almahdi.sandogh_bsa_aza.Add_OtherOzv_pay.model;

public class md_kol_aza {
    private String name_ozv;

    public String getName_ozv() {
        return name_ozv;
    }

    public void setName_ozv(String name_ozv) {
        this.name_ozv = name_ozv;
    }

    public String getLastname_ozv() {
        return lastname_ozv;
    }

    public void setLastname_ozv(String lastname_ozv) {
        this.lastname_ozv = lastname_ozv;
    }

    private String lastname_ozv;
    private String id_par_vam_nbt;
    private String id_ozviat;

    public Long getMojodi_ozv() {
        return mojodi_ozv;
    }

    public void setMojodi_ozv(Long mojodi_ozv) {
        this.mojodi_ozv = mojodi_ozv;
    }

    public Byte getVazeyat_ozv() {
        return vazeyat_ozv;
    }

    public void setVazeyat_ozv(Byte vazeyat_ozv) {
        this.vazeyat_ozv = vazeyat_ozv;
    }

    public String getTarikh_ozviat() {
        return tarikh_ozviat;
    }

    public void setTarikh_ozviat(String tarikh_ozviat) {
        this.tarikh_ozviat = tarikh_ozviat;
    }

    private Long mojodi_ozv;
    private Byte vazeyat_ozv;
    private String tarikh_ozviat;
    private boolean isSelected;

    public void setSelected(Boolean selected) {
        isSelected = selected;
    }

    public boolean isSelected() {
        return isSelected;
    }



    public md_kol_aza(String name_ozv, String lastname_ozv,
                      String id_ozviat, Long mojodi_ozv, Byte vazeyat_ozv,
                      String tarikh_ozviat, Boolean checkbox) {
        this.name_ozv = name_ozv;
        this.lastname_ozv = lastname_ozv;
        setId_ozviat(id_ozviat);
        setMojodi_ozv(mojodi_ozv/10);
        this.vazeyat_ozv = vazeyat_ozv;
        this.tarikh_ozviat = tarikh_ozviat;
        setSelected(checkbox);
    }


    public int getMablagh_gh_vam_nob() {
        return mablagh_gh_vam_nob;
    }

    private void setMablagh_gh_vam_nob(int mablagh_gh_vam_nob) {
        this.mablagh_gh_vam_nob = mablagh_gh_vam_nob;
    }

    private int mablagh_gh_vam_nob;


//    id_par_vam_nbt"] ;
//    ["mande"]
//    $temp["mablagh_vam_par"]
//    $temp["bazpard_vam_mah"]
//    $temp["tarikh_par_vam"]
//    $temp["mablagh_gh_vam_nob


        //        this.id_par_vam_nbt = id_par_vam_nbt;
//        this.id_ozviat = id_ozviat;
//        this.mablagh_vam_par = mablagh_vam_par;
//        this.bazpard_vam_mah = bazpard_vam_mah;
//        this.tarikh_par_vam = tarikh_par_vam;
//        this.id_parchk_san = id_parchk_san;
//        //id_par_vam_nbt,id_ozviat,mablagh_vam_par,bazpard_vam_mah,tarikh_par_vam,id_parchk_san
//        this.mande_vam = mande_vam;


    public String getId_par_vam_nbt() {
        return id_par_vam_nbt;
    }

    private void setId_par_vam_nbt(String id_par_vam_nbt) {
        this.id_par_vam_nbt = id_par_vam_nbt;
    }

    public String getId_ozviat() {
        return id_ozviat;
    }

    private void setId_ozviat(String id_ozviat) {
        this.id_ozviat = id_ozviat;
    }


    }
